import request from "@/utils/request";

/**
 * 经纪人订单列表
 * @param params
 * @return {*}
 */
export const brokerDealLogList = (params) => {
  return request({
    url: `/business/brokerDealLog/list`,
    method: "GET",
    params,
  });
};

export const addBrokerDealLog = (data) => {
  return request({
    url: `/business/brokerDealLog`,
    method: "POST",
    data,
  });
};

export const updateBrokerDealLog = (data) => {
  return request({
    url: `/business/brokerDealLog`,
    method: "PUT",
    data,
  });
};

// /business/brokerDealLog/{ids}
export const deleteBrokerDealLog = (ids) => {
  return request({
    url: `/business/brokerDealLog/${ids}`,
    method: "DELETE",
  });
};

// /business/brokerDealLog/{id}
export const brokerDealLogDetail = (id) => {
  return request({
    url: `/business/brokerDealLog/${id}`,
    method: "GET",
  });
};

// /business/brokerDealLog/billList
export const brokerBillList = (params) => {
  return request({
    url: `/business/brokerDealLog/billList`,
    method: "GET",
    params,
  });
};
